#include <bits\stdc++.h>

using namespace std;

int main()
{
    int n, k;
    double a[20000];
    cin>>n>>k;
    for(int i=0; i<n; i++){
        cin>>a[i];
    }
    if(k==a[n-1]){
        cout<<a[0]<<endl;
    }else{
    for(int i=0; i<n; i++){
        if(a[i]==k)cout<<a[i+1]<<endl;
    }
    }


    return 0;
}